﻿using C1.Win.C1List;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication28
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        //Create & populate first table
        DataTable table1 = new DataTable();
        table1.TableName = "Author";
        table1.Columns.Add("ID", typeof(Int32));
        table1.Columns.Add("Author", typeof(string));
        table1.Columns.Add("flag", typeof(string));

        table1.Rows.Add(1, "Robert Ludlum","Y");
        table1.Rows.Add(2, "Frederick Forsyth","N");
        table1.Rows.Add(3, "Dan Brown", "Y");
        table1.Rows.Add(4, "Sir Arthur Conan Doyle", "Y");
        table1.Rows.Add(5, "Mark Twain", "Y");
        table1.Rows.Add(6, "Daniel Defoe", "Y");
        table1.Rows.Add(7, "William Shakespeare", "Y");
        table1.Rows.Add(8, "Vikram Seth", "Y");
        table1.Rows.Add(9, "P.G. Wodehouse", "N");
        table1.Rows.Add(10, "Boris Yeltsin", "Y");


        this.c1FlexGrid1.AutoGenerateColumns = false;
            this.c1FlexGrid1.DataSource = table1;

            c1CheckBox1.DataSource = table1;
            c1CheckBox1.DataField = "flag";
            c1CheckBox1.DataType = typeof(string);

            c1CheckBox1.TranslateValues.Checked = "Y";
            c1CheckBox1.TranslateValues.Unchecked = "N";
            c1CheckBox1.CheckedChanged += c1CheckBox1_CheckedChanged;

            this.c1FlexGrid1.Cols[3].Editor = c1CheckBox1;
            this.c1FlexGrid1.MouseClick += c1FlexGrid1_MouseClick;
            this.c1CheckBox1.KeyDown += c1CheckBox1_KeyDown;
    
        }

        void c1CheckBox1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyData == Keys.Enter && c1FlexGrid1.ColSel == 3)
            {
                this.c1FlexGrid1.StartEditing();
            }
        }

        void c1CheckBox1_CheckedChanged(object sender, EventArgs e)
        {            
            this.c1CheckBox1.Text = this.c1CheckBox1.Checked ? "Y" : "N";
        }

        void c1FlexGrid1_MouseClick(object sender, MouseEventArgs e)
        {
            if (c1FlexGrid1.ColSel == 3)
            {
                this.c1FlexGrid1.StartEditing();
            }
        }

    }
}
